Skip to main content
`Ctrl`+`K`

# pandas.test

pandas.test(extra_args=None, run_doctests=False)

  Run the pandas test suite using pytest.

  By default, runs with the marks -m “not slow and not network and not db”

  Parameters:
    extra_args list[str], default None

      Extra marks to run the tests.

    run_doctests bool, default False

      Whether to only run the Python and Cython doctests. If you would like to run both doctests/regular tests, just append “–doctest-modules”/”–doctest-cython” to extra_args.

  Examples

      >>> pd.test()
      running: pytest...